<?php

/**
 * @file
 * Pre-generated list of the services from a clean Drupal installation.
 *
 * This list can be regenerated on a clean Drupal installation using the command
 * line script `scripts/generateCoreFeaturesMap.php`.
 */

// @codingStandardsIgnoreFile

const TEST_HELPERS_DRUPAL_CORE_SERVICE_MAP = [
  'service_container' => ['class' => '\Drupal\Core\DependencyInjection\Container'],
  'class_loader' => ['class' => '\Composer\Autoload\ClassLoader'],
  'kernel' => ['class' => '\Drupal\Core\DrupalKernel'],
  'cache_context.ip' => ['class' => '\Drupal\Core\Cache\Context\IpCacheContext', 'arguments' => ['@request_stack']],
  'cache_context.protocol_version' => ['class' => '\Drupal\Core\Cache\Context\ProtocolVersionCacheContext', 'arguments' => ['@request_stack']],
  'cache_context.headers' => ['class' => '\Drupal\Core\Cache\Context\HeadersCacheContext', 'arguments' => ['@request_stack']],
  'cache_context.cookies' => ['class' => '\Drupal\Core\Cache\Context\CookiesCacheContext', 'arguments' => ['@request_stack']],
  'cache_context.session' => ['class' => '\Drupal\Core\Cache\Context\SessionCacheContext', 'arguments' => ['@request_stack']],
  'cache_context.session.exists' => ['class' => '\Drupal\Core\Cache\Context\SessionExistsCacheContext', 'arguments' => ['@session_configuration', '@request_stack']],
  'cache_context.request_format' => ['class' => '\Drupal\Core\Cache\Context\RequestFormatCacheContext', 'arguments' => ['@request_stack']],
  'cache_context.url' => ['class' => '\Drupal\Core\Cache\Context\UrlCacheContext', 'arguments' => ['@request_stack']],
  'cache_context.url.site' => ['class' => '\Drupal\Core\Cache\Context\SiteCacheContext', 'arguments' => ['@request_stack']],
  'cache_context.url.path' => ['class' => '\Drupal\Core\Cache\Context\PathCacheContext', 'arguments' => ['@request_stack']],
  'cache_context.url.path.parent' => ['class' => '\Drupal\Core\Cache\Context\PathParentCacheContext', 'arguments' => ['@request_stack']],
  'cache_context.url.path.is_front' => ['class' => '\Drupal\Core\Cache\Context\IsFrontPathCacheContext', 'arguments' => ['@path.matcher']],
  'cache_context.url.query_args' => ['class' => '\Drupal\Core\Cache\Context\QueryArgsCacheContext', 'arguments' => ['@request_stack']],
  'cache_context.url.query_args.pagers' => ['class' => '\Drupal\Core\Cache\Context\PagersCacheContext', 'arguments' => ['@pager.parameters']],
  'cache_context.route' => ['class' => '\Drupal\Core\Cache\Context\RouteCacheContext', 'arguments' => ['@current_route_match']],
  'cache_context.route.name' => ['class' => '\Drupal\Core\Cache\Context\RouteNameCacheContext', 'arguments' => ['@current_route_match']],
  'cache_context.route.menu_active_trails' => ['class' => '\Drupal\Core\Cache\Context\MenuActiveTrailsCacheContext'],
  'cache_context.user' => ['class' => '\Drupal\Core\Cache\Context\UserCacheContext', 'arguments' => ['@current_user']],
  'cache_context.user.permissions' => ['class' => '\Drupal\Core\Cache\Context\AccountPermissionsCacheContext', 'arguments' => ['@current_user', '@user_permissions_hash_generator']],
  'cache_context.user.roles' => ['class' => '\Drupal\Core\Cache\Context\UserRolesCacheContext', 'arguments' => ['@current_user']],
  'cache_context.user.is_super_user' => ['class' => '\Drupal\Core\Cache\Context\IsSuperUserCacheContext', 'arguments' => ['@current_user']],
  'cache_context.languages' => ['class' => '\Drupal\Core\Cache\Context\LanguagesCacheContext', 'arguments' => ['@language_manager']],
  'cache_context.theme' => ['class' => '\Drupal\Core\Cache\Context\ThemeCacheContext', 'arguments' => ['@theme.manager']],
  'cache_context.timezone' => ['class' => '\Drupal\Core\Cache\Context\TimeZoneCacheContext'],
  'cache_factory' => ['class' => '\Drupal\Core\Cache\CacheFactory', 'arguments' => ['@settings', '%cache_default_bin_backends%']],
  'cache_contexts_manager' => ['class' => '\Drupal\Core\Cache\Context\CacheContextsManager', 'arguments' => ['@service_container', '%cache_contexts%']],
  'cache_tags.invalidator' => ['class' => '\Drupal\Core\Cache\CacheTagsInvalidator'],
  'cache_tags.invalidator.checksum' => ['class' => '\Drupal\Core\Cache\DatabaseCacheTagsChecksum', 'arguments' => ['@database']],
  'cache.backend.chainedfast' => ['class' => '\Drupal\Core\Cache\ChainedFastBackendFactory', 'arguments' => ['@settings']],
  'cache.backend.database' => ['class' => '\Drupal\Core\Cache\DatabaseBackendFactory', 'arguments' => ['@database', '@cache_tags.invalidator.checksum', '@settings']],
  'cache.backend.apcu' => ['class' => '\Drupal\Core\Cache\ApcuBackendFactory', 'arguments' => ['%app.root%', '%site.path%', '@cache_tags.invalidator.checksum']],
  'cache.backend.php' => ['class' => '\Drupal\Core\Cache\PhpBackendFactory', 'arguments' => ['@cache_tags.invalidator.checksum']],
  'cache.backend.memory' => ['class' => '\Drupal\Core\Cache\MemoryBackendFactory'],
  'cache.static' => ['class' => '\Drupal\Core\Cache\MemoryBackend'],
  'cache.bootstrap' => ['class' => '\Drupal\Core\Cache\ChainedFastBackend'],
  'cache.config' => ['class' => '\Drupal\Core\Cache\ChainedFastBackend'],
  'cache.default' => ['class' => '\Drupal\Core\Cache\DatabaseBackend'],
  'cache.entity' => ['class' => '\Drupal\Core\Cache\DatabaseBackend'],
  'cache.menu' => ['class' => '\Drupal\Core\Cache\DatabaseBackend'],
  'cache.render' => ['class' => '\Drupal\Core\Cache\DatabaseBackend'],
  'cache.data' => ['class' => '\Drupal\Core\Cache\DatabaseBackend'],
  'cache.discovery' => ['class' => '\Drupal\Core\Cache\ChainedFastBackend'],
  'cache_router_rebuild_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\CacheRouterRebuildSubscriber'],
  'page_cache_request_policy' => ['class' => '\Drupal\Core\PageCache\DefaultRequestPolicy', 'arguments' => ['@session_configuration']],
  'page_cache_response_policy' => ['class' => '\Drupal\Core\ProxyClass\PageCache\ChainResponsePolicy'],
  'page_cache_kill_switch' => ['class' => '\Drupal\Core\PageCache\ResponsePolicy\KillSwitch'],
  'config.manager' => ['class' => '\Drupal\Core\Config\ConfigManager', 'arguments' => ['@entity_type.manager', '@config.factory', '@config.typed', '@string_translation', '@config.storage', '@event_dispatcher', '@entity.repository', '@extension.path.resolver']],
  'config.factory' => ['class' => '\Drupal\Core\Config\ConfigFactory', 'arguments' => ['@config.storage', '@event_dispatcher', '@config.typed']],
  'config.importer_subscriber' => ['class' => '\Drupal\Core\Config\Importer\FinalMissingContentSubscriber'],
  'config.installer' => ['class' => '\Drupal\Core\ProxyClass\Config\ConfigInstaller'],
  'config.storage' => ['class' => '\Drupal\Core\Config\CachedStorage', 'arguments' => ['@config.storage.active', '@cache.config']],
  'config.import_transformer' => ['class' => '\Drupal\Core\Config\ImportStorageTransformer', 'arguments' => ['@event_dispatcher', '@database', '@lock', '@lock.persistent']],
  'config.storage.export' => ['class' => '\Drupal\Core\Config\ManagedStorage', 'arguments' => ['@config.storage.export.manager']],
  'config.storage.sync' => ['class' => '\Drupal\Core\Config\FileStorage'],
  'config.storage.snapshot' => ['class' => '\Drupal\Core\Config\DatabaseStorage', 'arguments' => ['@database', 'config']],
  'config.storage.schema' => ['class' => '\Drupal\Core\Config\ExtensionInstallStorage', 'arguments' => ['@config.storage', 'config/schema', '', '1', '%install_profile%']],
  'config.typed' => ['class' => '\Drupal\Core\Config\TypedConfigManager', 'arguments' => ['@config.storage', '@config.storage.schema', '@cache.discovery', '@module_handler', '@class_resolver']],
  'context.handler' => ['class' => '\Drupal\Core\Plugin\Context\ContextHandler'],
  'context.repository' => ['class' => '\Drupal\Core\Plugin\Context\LazyContextRepository', 'arguments' => ['@service_container']],
  'Drupal\Component\DependencyInjection\ReverseContainer' => ['class' => '\Drupal\Component\DependencyInjection\ReverseContainer'],
  'cron' => ['class' => '\Drupal\Core\ProxyClass\Cron'],
  'diff.formatter' => ['class' => '\Drupal\Core\Diff\DiffFormatter', 'arguments' => ['@config.factory']],
  'database' => ['class' => '\Drupal\sqlite\Driver\Database\sqlite\Connection'],
  'database.replica' => ['class' => '\Drupal\sqlite\Driver\Database\sqlite\Connection'],
  'database.replica_kill_switch' => ['class' => '\Drupal\Core\Database\ReplicaKillSwitch', 'arguments' => ['@settings', '@datetime.time', '@session']],
  'datetime.time' => ['class' => '\Drupal\Component\Datetime\Time', 'arguments' => ['@request_stack']],
  'file_system' => ['class' => '\Drupal\Core\File\FileSystem', 'arguments' => ['@stream_wrapper_manager', '@settings', '@logger.channel.file']],
  'file_url_generator' => ['class' => '\Drupal\Core\File\FileUrlGenerator', 'arguments' => ['@stream_wrapper_manager', '@request_stack', '@module_handler']],
  'form_builder' => ['class' => '\Drupal\Core\Form\FormBuilder', 'arguments' => ['@form_validator', '@form_submitter', '@form_cache', '@module_handler', '@event_dispatcher', '@request_stack', '@class_resolver', '@element_info', '@theme.manager', '@?csrf_token']],
  'form_validator' => ['class' => '\Drupal\Core\Form\FormValidator', 'arguments' => ['@request_stack', '@string_translation', '@csrf_token', '@logger.channel.form', '@form_error_handler']],
  'form_submitter' => ['class' => '\Drupal\Core\Form\FormSubmitter', 'arguments' => ['@request_stack', '@url_generator']],
  'form_error_handler' => ['class' => '\Drupal\Core\Form\FormErrorHandler'],
  'keyvalue' => ['class' => '\Drupal\Core\KeyValueStore\KeyValueFactory', 'arguments' => ['@service_container', '%factory.keyvalue%']],
  'keyvalue.database' => ['class' => '\Drupal\Core\KeyValueStore\KeyValueDatabaseFactory', 'arguments' => ['@serialization.phpserialize', '@database']],
  'keyvalue.expirable' => ['class' => '\Drupal\Core\KeyValueStore\KeyValueExpirableFactory', 'arguments' => ['@service_container', '%factory.keyvalue.expirable%']],
  'keyvalue.expirable.database' => ['class' => '\Drupal\Core\KeyValueStore\KeyValueDatabaseExpirableFactory', 'arguments' => ['@serialization.phpserialize', '@database']],
  'logger.factory' => ['class' => '\Drupal\Core\Logger\LoggerChannelFactory'],
  'logger.channel.default' => ['class' => '\Drupal\Core\Logger\LoggerChannel'],
  'logger.channel.php' => ['class' => '\Drupal\Core\Logger\LoggerChannel'],
  'logger.channel.image' => ['class' => '\Drupal\Core\Logger\LoggerChannel'],
  'logger.channel.cron' => ['class' => '\Drupal\Core\Logger\LoggerChannel'],
  'logger.channel.file' => ['class' => '\Drupal\Core\Logger\LoggerChannel'],
  'logger.channel.form' => ['class' => '\Drupal\Core\Logger\LoggerChannel'],
  'logger.channel.security' => ['class' => '\Drupal\Core\Logger\LoggerChannel'],
  'logger.log_message_parser' => ['class' => '\Drupal\Core\Logger\LogMessageParser'],
  'serialization.json' => ['class' => '\Drupal\Component\Serialization\Json'],
  'serialization.phpserialize' => ['class' => '\Drupal\Component\Serialization\PhpSerialize'],
  'serialization.yaml' => ['class' => '\Drupal\Component\Serialization\Yaml'],
  'settings' => ['class' => '\Drupal\Core\Site\Settings'],
  'state' => ['class' => '\Drupal\Core\State\State', 'arguments' => ['@keyvalue']],
  'queue' => ['class' => '\Drupal\Core\Queue\QueueFactory', 'arguments' => ['@settings']],
  'queue.database' => ['class' => '\Drupal\Core\Queue\QueueDatabaseFactory', 'arguments' => ['@database']],
  'path.current' => ['class' => '\Drupal\Core\Path\CurrentPathStack', 'arguments' => ['@request_stack']],
  'http_client' => ['class' => '\GuzzleHttp\Client'],
  'http_client_factory' => ['class' => '\Drupal\Core\Http\ClientFactory', 'arguments' => ['@http_handler_stack']],
  'plugin.manager.link_relation_type' => ['class' => '\Drupal\Core\Http\LinkRelationTypeManager'],
  'theme.negotiator' => ['class' => '\Drupal\Core\Theme\ThemeNegotiator', 'arguments' => ['@access_check.theme', '@class_resolver']],
  'theme.negotiator.default' => ['class' => '\Drupal\Core\Theme\DefaultNegotiator', 'arguments' => ['@config.factory']],
  'theme.negotiator.ajax_base_page' => ['class' => '\Drupal\Core\Theme\AjaxBasePageNegotiator', 'arguments' => ['@csrf_token', '@config.factory', '@request_stack']],
  'container.namespaces' => ['class' => '\ArrayObject'],
  'module_handler' => ['class' => '\Drupal\Core\Extension\ModuleHandler', 'arguments' => ['%app.root%', '%container.modules%', '@cache.bootstrap']],
  'module_installer' => ['class' => '\Drupal\Core\ProxyClass\Extension\ModuleInstaller'],
  'extension.list.module' => ['class' => '\Drupal\Core\Extension\ModuleExtensionList', 'arguments' => ['%app.root%', 'module', '@cache.default', '@info_parser', '@module_handler', '@state', '@config.factory', '@extension.list.profile', '%install_profile%', '%container.modules%']],
  'extension.list.profile' => ['class' => '\Drupal\Core\Extension\ProfileExtensionList', 'arguments' => ['%app.root%', 'profile', '@cache.default', '@info_parser', '@module_handler', '@state', '%install_profile%']],
  'extension.list.theme' => ['class' => '\Drupal\Core\Extension\ThemeExtensionList', 'arguments' => ['%app.root%', 'theme', '@cache.default', '@info_parser', '@module_handler', '@state', '@config.factory', '@extension.list.theme_engine', '%install_profile%']],
  'extension.list.theme_engine' => ['class' => '\Drupal\Core\Extension\ThemeEngineExtensionList', 'arguments' => ['%app.root%', 'theme_engine', '@cache.default', '@info_parser', '@module_handler', '@state', '%install_profile%']],
  'extension.path.resolver' => ['class' => '\Drupal\Core\Extension\ExtensionPathResolver', 'arguments' => ['@extension.list.module', '@extension.list.profile', '@extension.list.theme', '@extension.list.theme_engine']],
  'content_uninstall_validator' => ['class' => '\Drupal\Core\ProxyClass\Entity\ContentUninstallValidator'],
  'required_module_uninstall_validator' => ['class' => '\Drupal\Core\ProxyClass\Extension\RequiredModuleUninstallValidator'],
  'module_required_by_themes_uninstall_validator' => ['class' => '\Drupal\Core\ProxyClass\Extension\ModuleRequiredByThemesUninstallValidator'],
  'database_driver_uninstall_validator' => ['class' => '\Drupal\Core\ProxyClass\Extension\DatabaseDriverUninstallValidator'],
  'theme_handler' => ['class' => '\Drupal\Core\Extension\ThemeHandler', 'arguments' => ['%app.root%', '@config.factory', '@extension.list.theme']],
  'theme_installer' => ['class' => '\Drupal\Core\Extension\ThemeInstaller', 'arguments' => ['@theme_handler', '@config.factory', '@config.installer', '@module_handler', '@config.manager', '@asset.css.collection_optimizer', '@router.builder', '@logger.channel.default', '@state', '@extension.list.module']],
  'entity.memory_cache' => ['class' => '\Drupal\Core\Cache\MemoryCache\MemoryCache'],
  'entity_type.manager' => ['class' => '\Drupal\Core\Entity\EntityTypeManager', 'arguments' => ['@container.namespaces', '@module_handler', '@cache.discovery', '@string_translation', '@class_resolver', '@entity.last_installed_schema.repository']],
  'entity_type.repository' => ['class' => '\Drupal\Core\Entity\EntityTypeRepository', 'arguments' => ['@entity_type.manager']],
  'entity_type.bundle.info' => ['class' => '\Drupal\Core\Entity\EntityTypeBundleInfo', 'arguments' => ['@entity_type.manager', '@language_manager', '@module_handler', '@typed_data_manager', '@cache.discovery']],
  'entity.repository' => ['class' => '\Drupal\Core\Entity\EntityRepository', 'arguments' => ['@entity_type.manager', '@language_manager', '@context.repository']],
  'entity_display.repository' => ['class' => '\Drupal\Core\Entity\EntityDisplayRepository', 'arguments' => ['@entity_type.manager', '@module_handler', '@cache.discovery', '@language_manager']],
  'entity_field.manager' => ['class' => '\Drupal\Core\Entity\EntityFieldManager', 'arguments' => ['@entity_type.manager', '@entity_type.bundle.info', '@entity_display.repository', '@typed_data_manager', '@language_manager', '@keyvalue', '@module_handler', '@cache.discovery', '@entity.last_installed_schema.repository']],
  'entity_type.listener' => ['class' => '\Drupal\Core\Entity\EntityTypeListener', 'arguments' => ['@entity_type.manager', '@entity_field.manager', '@event_dispatcher', '@entity.last_installed_schema.repository']],
  'entity_bundle.listener' => ['class' => '\Drupal\Core\Entity\EntityBundleListener', 'arguments' => ['@entity_type.manager', '@entity_type.bundle.info', '@entity_field.manager', '@module_handler']],
  'entity_route_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\EntityRouteProviderSubscriber', 'arguments' => ['@entity_type.manager']],
  'entity.definition_update_manager' => ['class' => '\Drupal\Core\Entity\EntityDefinitionUpdateManager', 'arguments' => ['@entity_type.manager', '@entity.last_installed_schema.repository', '@entity_field.manager', '@entity_type.listener', '@field_storage_definition.listener']],
  'entity.last_installed_schema.repository' => ['class' => '\Drupal\Core\Entity\EntityLastInstalledSchemaRepository', 'arguments' => ['@keyvalue', '@cache.discovery']],
  'entity_field.deleted_fields_repository' => ['class' => '\Drupal\Core\Field\DeletedFieldsRepository', 'arguments' => ['@state']],
  'field_storage_definition.listener' => ['class' => '\Drupal\Core\Field\FieldStorageDefinitionListener', 'arguments' => ['@entity_type.manager', '@event_dispatcher', '@entity.last_installed_schema.repository', '@entity_field.manager', '@entity_field.deleted_fields_repository']],
  'field_definition.listener' => ['class' => '\Drupal\Core\Field\FieldDefinitionListener', 'arguments' => ['@entity_type.manager', '@entity_field.manager', '@keyvalue', '@cache.discovery']],
  'entity.form_builder' => ['class' => '\Drupal\Core\Entity\EntityFormBuilder', 'arguments' => ['@entity_type.manager', '@form_builder']],
  'entity.bundle_config_import_validator' => ['class' => '\Drupal\Core\Entity\Event\BundleConfigImportValidate', 'arguments' => ['@config.manager', '@entity_type.manager']],
  'entity.autocomplete_matcher' => ['class' => '\Drupal\Core\Entity\EntityAutocompleteMatcher', 'arguments' => ['@plugin.manager.entity_reference_selection']],
  'plugin_form.factory' => ['class' => '\Drupal\Core\Plugin\PluginFormFactory', 'arguments' => ['@class_resolver']],
  'plugin.manager.entity_reference_selection' => ['class' => '\Drupal\Core\Entity\EntityReferenceSelection\SelectionPluginManager'],
  'plugin.manager.block' => ['class' => '\Drupal\Core\Block\BlockManager', 'arguments' => ['@logger.channel.default']],
  'plugin.manager.field.field_type' => ['class' => '\Drupal\Core\Field\FieldTypePluginManager', 'arguments' => ['@container.namespaces', '@cache.discovery', '@module_handler', '@typed_data_manager']],
  'plugin.manager.field.widget' => ['class' => '\Drupal\Core\Field\WidgetPluginManager', 'arguments' => ['@container.namespaces', '@cache.discovery', '@module_handler', '@plugin.manager.field.field_type']],
  'plugin.manager.field.formatter' => ['class' => '\Drupal\Core\Field\FormatterPluginManager', 'arguments' => ['@container.namespaces', '@cache.discovery', '@module_handler', '@plugin.manager.field.field_type']],
  'plugin.manager.archiver' => ['class' => '\Drupal\Core\Archiver\ArchiverManager', 'arguments' => ['@file_system']],
  'plugin.manager.action' => ['class' => '\Drupal\Core\Action\ActionManager', 'arguments' => ['@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.menu.link' => ['class' => '\Drupal\Core\Menu\MenuLinkManager', 'arguments' => ['@menu.tree_storage', '@menu_link.static.overrides', '@module_handler']],
  'menu.link_tree' => ['class' => '\Drupal\Core\Menu\MenuLinkTree', 'arguments' => ['@menu.tree_storage', '@plugin.manager.menu.link', '@router.route_provider', '@menu.active_trail', '@controller_resolver']],
  'menu.default_tree_manipulators' => ['class' => '\Drupal\Core\Menu\DefaultMenuLinkTreeManipulators', 'arguments' => ['@access_manager', '@current_user', '@entity_type.manager']],
  'menu.active_trail' => ['class' => '\Drupal\Core\Menu\MenuActiveTrail', 'arguments' => ['@plugin.manager.menu.link', '@current_route_match', '@cache.menu', '@lock']],
  'menu.parent_form_selector' => ['class' => '\Drupal\Core\Menu\MenuParentFormSelector', 'arguments' => ['@menu.link_tree', '@entity_type.manager', '@string_translation']],
  'plugin.manager.menu.local_action' => ['class' => '\Drupal\Core\Menu\LocalActionManager', 'arguments' => ['@http_kernel.controller.argument_resolver', '@request_stack', '@current_route_match', '@router.route_provider', '@module_handler', '@cache.discovery', '@language_manager', '@access_manager', '@current_user']],
  'plugin.manager.menu.local_task' => ['class' => '\Drupal\Core\Menu\LocalTaskManager', 'arguments' => ['@http_kernel.controller.argument_resolver', '@request_stack', '@current_route_match', '@router.route_provider', '@module_handler', '@cache.discovery', '@language_manager', '@access_manager', '@current_user']],
  'plugin.manager.menu.contextual_link' => ['class' => '\Drupal\Core\Menu\ContextualLinkManager', 'arguments' => ['@controller_resolver', '@module_handler', '@cache.discovery', '@language_manager', '@access_manager', '@current_user', '@request_stack']],
  'plugin.manager.display_variant' => ['class' => '\Drupal\Core\Display\VariantManager'],
  'plugin.manager.queue_worker' => ['class' => '\Drupal\Core\Queue\QueueWorkerManager'],
  'plugin.cache_clearer' => ['class' => '\Drupal\Core\ProxyClass\Plugin\CachedDiscoveryClearer'],
  'paramconverter.menu_link' => ['class' => '\Drupal\Core\ProxyClass\ParamConverter\MenuLinkPluginConverter'],
  'menu_link.static.overrides' => ['class' => '\Drupal\Core\Menu\StaticMenuLinkOverrides', 'arguments' => ['@config.factory']],
  'request_stack' => ['class' => '\Symfony\Component\HttpFoundation\RequestStack'],
  'current_route_match' => ['class' => '\Drupal\Core\Routing\CurrentRouteMatch', 'arguments' => ['@request_stack']],
  'event_dispatcher' => ['class' => '\Drupal\Component\EventDispatcher\ContainerAwareEventDispatcher', 'arguments' => ['@service_container']],
  'controller_resolver' => ['class' => '\Drupal\Core\Controller\ControllerResolver', 'arguments' => ['@psr7.http_message_factory', '@class_resolver']],
  'class_resolver' => ['class' => '\Drupal\Core\DependencyInjection\ClassResolver'],
  'title_resolver' => ['class' => '\Drupal\Core\Controller\TitleResolver', 'arguments' => ['@controller_resolver', '@string_translation', '@http_kernel.controller.argument_resolver']],
  'http_kernel' => ['class' => '\Drupal\Core\StackMiddleware\StackedHttpKernel'],
  'http_kernel.basic' => ['class' => '\Symfony\Component\HttpKernel\HttpKernel'],
  'http_kernel.controller.argument_resolver' => ['class' => '\Symfony\Component\HttpKernel\Controller\ArgumentResolver'],
  'http_middleware.negotiation' => ['class' => '\Drupal\Core\StackMiddleware\NegotiationMiddleware'],
  'http_middleware.reverse_proxy' => ['class' => '\Drupal\Core\StackMiddleware\ReverseProxyMiddleware', 'arguments' => ['@settings']],
  'http_middleware.kernel_pre_handle' => ['class' => '\Drupal\Core\StackMiddleware\KernelPreHandle', 'arguments' => ['@kernel']],
  'http_middleware.session' => ['class' => '\Drupal\Core\StackMiddleware\Session'],
  'psr7.http_foundation_factory' => ['class' => '\Symfony\Bridge\PsrHttpMessage\Factory\HttpFoundationFactory'],
  'psr7.http_message_factory' => ['class' => '\Symfony\Bridge\PsrHttpMessage\Factory\PsrHttpFactory'],
  'language_manager' => ['class' => '\Drupal\Core\Language\LanguageManager', 'arguments' => ['@language.default']],
  'language.current_language_context' => ['class' => '\Drupal\Core\Language\ContextProvider\CurrentLanguageContext', 'arguments' => ['@language_manager']],
  'language.default' => ['class' => '\Drupal\Core\Language\LanguageDefault', 'arguments' => ['%language.default_values%']],
  'string_translator.custom_strings' => ['class' => '\Drupal\Core\StringTranslation\Translator\CustomStrings', 'arguments' => ['@settings']],
  'string_translation' => ['class' => '\Drupal\Core\StringTranslation\TranslationManager', 'arguments' => ['@language.default']],
  'typed_data_manager' => ['class' => '\Drupal\Core\TypedData\TypedDataManager', 'arguments' => ['@container.namespaces', '@cache.discovery', '@module_handler', '@class_resolver']],
  'validation.constraint' => ['class' => '\Drupal\Core\Validation\ConstraintManager'],
  'lock' => ['class' => '\Drupal\Core\ProxyClass\Lock\DatabaseLockBackend'],
  'lock.persistent' => ['class' => '\Drupal\Core\ProxyClass\Lock\PersistentDatabaseLockBackend'],
  'router.request_context' => ['class' => '\Drupal\Core\Routing\RequestContext'],
  'router.admin_context' => ['class' => '\Drupal\Core\Routing\AdminContext', 'arguments' => ['@current_route_match']],
  'router.route_provider' => ['class' => '\Drupal\Core\Routing\RouteProvider', 'arguments' => ['@database', '@state', '@path.current', '@cache.data', '@path_processor_manager', '@cache_tags.invalidator', 'router', '@language_manager']],
  'router.route_provider.lazy_builder' => ['class' => '\Drupal\Core\Routing\RouteProviderLazyBuilder', 'arguments' => ['@router.route_provider', '@router.builder']],
  'router.route_preloader' => ['class' => '\Drupal\Core\Routing\RoutePreloader', 'arguments' => ['@router.route_provider', '@state', '@cache.bootstrap']],
  'url_generator' => ['class' => '\Drupal\Core\Render\MetadataBubblingUrlGenerator', 'arguments' => ['@url_generator.non_bubbling', '@renderer']],
  'redirect.destination' => ['class' => '\Drupal\Core\Routing\RedirectDestination', 'arguments' => ['@request_stack', '@url_generator']],
  'unrouted_url_assembler' => ['class' => '\Drupal\Core\Utility\UnroutedUrlAssembler', 'arguments' => ['@request_stack', '@path_processor_manager', '%filter_protocols%']],
  'link_generator' => ['class' => '\Drupal\Core\Utility\LinkGenerator', 'arguments' => ['@url_generator', '@module_handler', '@renderer']],
  'router' => ['class' => '\Drupal\Core\Routing\AccessAwareRouter', 'arguments' => ['@router.no_access_checks', '@access_manager', '@current_user']],
  'router.no_access_checks' => ['class' => '\Drupal\Core\Routing\Router'],
  'router.path_roots_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\PathRootsSubscriber', 'arguments' => ['@state']],
  'entity.query.config' => ['class' => '\Drupal\Core\Config\Entity\Query\QueryFactory', 'arguments' => ['@config.factory', '@keyvalue', '@config.manager']],
  'entity.query.sql' => ['class' => '\Drupal\Core\Entity\Query\Sql\QueryFactory', 'arguments' => ['@database']],
  'pgsql.entity.query.sql' => ['class' => '\Drupal\Core\Entity\Query\Sql\pgsql\QueryFactory', 'arguments' => ['@database']],
  'entity.query.null' => ['class' => '\Drupal\Core\Entity\Query\Null\QueryFactory'],
  'entity.query.keyvalue' => ['class' => '\Drupal\Core\Entity\KeyValueStore\Query\QueryFactory', 'arguments' => ['@keyvalue']],
  'router.dumper' => ['class' => '\Drupal\Core\ProxyClass\Routing\MatcherDumper'],
  'router.builder' => ['class' => '\Drupal\Core\ProxyClass\Routing\RouteBuilder'],
  'menu.rebuild_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\MenuRouterRebuildSubscriber', 'arguments' => ['@lock', '@plugin.manager.menu.link', '@database', '@database.replica_kill_switch']],
  'path.matcher' => ['class' => '\Drupal\Core\Path\PathMatcher', 'arguments' => ['@config.factory', '@current_route_match']],
  'path.validator' => ['class' => '\Drupal\Core\Path\PathValidator', 'arguments' => ['@router', '@router.no_access_checks', '@current_user', '@path_processor_manager']],
  'password' => ['class' => '\Drupal\Core\Password\PhpassHashedPassword', 'arguments' => ['16']],
  'password_generator' => ['class' => '\Drupal\Core\Password\DefaultPasswordGenerator'],
  'request_format_route_filter' => ['class' => '\Drupal\Core\Routing\RequestFormatRouteFilter'],
  'method_filter' => ['class' => '\Drupal\Core\Routing\MethodFilter'],
  'content_type_header_matcher' => ['class' => '\Drupal\Core\Routing\ContentTypeHeaderMatcher'],
  'paramconverter_manager' => ['class' => '\Drupal\Core\ParamConverter\ParamConverterManager'],
  'paramconverter_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\ParamConverterSubscriber', 'arguments' => ['@paramconverter_manager']],
  'paramconverter.entity' => ['class' => '\Drupal\Core\ParamConverter\EntityConverter', 'arguments' => ['@entity_type.manager', '@entity.repository']],
  'paramconverter.entity_revision' => ['class' => '\Drupal\Core\ParamConverter\EntityRevisionParamConverter', 'arguments' => ['@entity_type.manager', '@entity.repository']],
  'paramconverter.configentity_admin' => ['class' => '\Drupal\Core\ProxyClass\ParamConverter\AdminPathConfigEntityConverter'],
  'route_subscriber.module' => ['class' => '\Drupal\Core\EventSubscriber\ModuleRouteSubscriber', 'arguments' => ['@module_handler']],
  'resolver_manager.entity' => ['class' => '\Drupal\Core\Entity\EntityResolverManager', 'arguments' => ['@entity_type.manager', '@class_resolver']],
  'route_subscriber.entity' => ['class' => '\Drupal\Core\EventSubscriber\EntityRouteAlterSubscriber', 'arguments' => ['@resolver_manager.entity']],
  'ajax_response.subscriber' => ['class' => '\Drupal\Core\EventSubscriber\AjaxResponseSubscriber', 'arguments' => ['@ajax_response.attachments_processor']],
  'form_ajax_subscriber' => ['class' => '\Drupal\Core\Form\EventSubscriber\FormAjaxSubscriber', 'arguments' => ['@form_ajax_response_builder', '@string_translation', '@messenger']],
  'route_enhancer.param_conversion' => ['class' => '\Drupal\Core\Routing\Enhancer\ParamConversionEnhancer', 'arguments' => ['@paramconverter_manager']],
  'route_enhancer.form' => ['class' => '\Drupal\Core\Routing\Enhancer\FormRouteEnhancer'],
  'route_enhancer.entity' => ['class' => '\Drupal\Core\Entity\Enhancer\EntityRouteEnhancer'],
  'route_enhancer.entity_bundle' => ['class' => '\Drupal\Core\Entity\Enhancer\EntityBundleRouteEnhancer', 'arguments' => ['@entity_type.manager']],
  'route_enhancer.entity_revision' => ['class' => '\Drupal\Core\Routing\Enhancer\EntityRevisionRouteEnhancer'],
  'route_special_attributes_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\SpecialAttributesRouteSubscriber'],
  'route_http_method_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\RouteMethodSubscriber'],
  'psr_response_view_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\PsrResponseSubscriber', 'arguments' => ['@psr7.http_foundation_factory']],
  'main_content_view_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\MainContentViewSubscriber', 'arguments' => ['@class_resolver', '@current_route_match', '%main_content_renderers%']],
  'renderer_non_html' => ['class' => '\Drupal\Core\EventSubscriber\RenderArrayNonHtmlSubscriber'],
  'main_content_renderer.html' => ['class' => '\Drupal\Core\Render\MainContent\HtmlRenderer', 'arguments' => ['@title_resolver', '@plugin.manager.display_variant', '@event_dispatcher', '@module_handler', '@renderer', '@render_cache', '%renderer.config%', '@theme.manager']],
  'main_content_renderer.ajax' => ['class' => '\Drupal\Core\Render\MainContent\AjaxRenderer', 'arguments' => ['@element_info', '@renderer']],
  'main_content_renderer.dialog' => ['class' => '\Drupal\Core\Render\MainContent\DialogRenderer', 'arguments' => ['@title_resolver', '@renderer']],
  'main_content_renderer.off_canvas' => ['class' => '\Drupal\Core\Render\MainContent\OffCanvasRenderer', 'arguments' => ['@title_resolver', '@renderer']],
  'main_content_renderer.off_canvas_top' => ['class' => '\Drupal\Core\Render\MainContent\OffCanvasRenderer', 'arguments' => ['@title_resolver', '@renderer']],
  'main_content_renderer.modal' => ['class' => '\Drupal\Core\Render\MainContent\ModalRenderer', 'arguments' => ['@title_resolver', '@renderer']],
  'controller.form' => ['class' => '\Drupal\Core\Controller\HtmlFormController', 'arguments' => ['@http_kernel.controller.argument_resolver', '@form_builder', '@class_resolver']],
  'controller.entity_form' => ['class' => '\Drupal\Core\Entity\HtmlEntityFormController', 'arguments' => ['@http_kernel.controller.argument_resolver', '@form_builder', '@entity_type.manager']],
  'form_ajax_response_builder' => ['class' => '\Drupal\Core\Form\FormAjaxResponseBuilder', 'arguments' => ['@main_content_renderer.ajax', '@current_route_match']],
  'router_listener' => ['class' => '\Symfony\Component\HttpKernel\EventListener\RouterListener'],
  'options_request_listener' => ['class' => '\Drupal\Core\EventSubscriber\OptionsRequestSubscriber', 'arguments' => ['@router.route_provider']],
  'bare_html_page_renderer' => ['class' => '\Drupal\Core\ProxyClass\Render\BareHtmlPageRenderer'],
  'private_key' => ['class' => '\Drupal\Core\PrivateKey', 'arguments' => ['@state']],
  'csrf_token' => ['class' => '\Drupal\Core\Access\CsrfTokenGenerator', 'arguments' => ['@private_key', '@session_manager.metadata_bag']],
  'access_arguments_resolver_factory' => ['class' => '\Drupal\Core\Access\AccessArgumentsResolverFactory'],
  'access_manager' => ['class' => '\Drupal\Core\Access\AccessManager', 'arguments' => ['@router.route_provider', '@paramconverter_manager', '@access_arguments_resolver_factory', '@current_user', '@access_manager.check_provider']],
  'access_check.default' => ['class' => '\Drupal\Core\Access\DefaultAccessCheck'],
  'access_check.entity' => ['class' => '\Drupal\Core\Entity\EntityAccessCheck'],
  'access_check.entity_create' => ['class' => '\Drupal\Core\Entity\EntityCreateAccessCheck', 'arguments' => ['@entity_type.manager']],
  'access_check.entity_create_any' => ['class' => '\Drupal\Core\Entity\EntityCreateAnyAccessCheck', 'arguments' => ['@entity_type.manager', '@entity_type.bundle.info']],
  'access_check.entity_delete_multiple' => ['class' => '\Drupal\Core\Entity\EntityDeleteMultipleAccessCheck', 'arguments' => ['@entity_type.manager', '@tempstore.private', '@request_stack']],
  'access_check.theme' => ['class' => '\Drupal\Core\Theme\ThemeAccessCheck', 'arguments' => ['@theme_handler']],
  'access_check.custom' => ['class' => '\Drupal\Core\Access\CustomAccessCheck', 'arguments' => ['@controller_resolver', '@access_arguments_resolver_factory']],
  'access_check.csrf' => ['class' => '\Drupal\Core\Access\CsrfAccessCheck', 'arguments' => ['@csrf_token']],
  'access_check.header.csrf' => ['class' => '\Drupal\Core\Access\CsrfRequestHeaderAccessCheck', 'arguments' => ['@session_configuration', '@csrf_token']],
  'maintenance_mode' => ['class' => '\Drupal\Core\Site\MaintenanceMode', 'arguments' => ['@state', '@config.factory']],
  'maintenance_mode_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\MaintenanceModeSubscriber', 'arguments' => ['@maintenance_mode', '@config.factory', '@string_translation', '@url_generator', '@current_user', '@bare_html_page_renderer', '@messenger', '@event_dispatcher']],
  'route_access_response_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\RouteAccessResponseSubscriber'],
  'client_error_response_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\ClientErrorResponseSubscriber'],
  'anonymous_user_response_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\AnonymousUserResponseSubscriber', 'arguments' => ['@current_user']],
  'ajax_response.attachments_processor' => ['class' => '\Drupal\Core\Ajax\AjaxResponseAttachmentsProcessor', 'arguments' => ['@asset.resolver', '@config.factory', '@asset.css.collection_renderer', '@asset.js.collection_renderer', '@request_stack', '@renderer', '@module_handler']],
  'html_response.subscriber' => ['class' => '\Drupal\Core\EventSubscriber\HtmlResponseSubscriber', 'arguments' => ['@html_response.attachments_processor']],
  'finish_response_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\FinishResponseSubscriber', 'arguments' => ['@language_manager', '@config.factory', '@page_cache_request_policy', '@page_cache_response_policy', '@cache_contexts_manager', '%http.response.debug_cacheability_headers%']],
  'response_generator_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\ResponseGeneratorSubscriber'],
  'redirect_response_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\RedirectResponseSubscriber', 'arguments' => ['@unrouted_url_assembler', '@router.request_context']],
  'redirect_leading_slashes_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\RedirectLeadingSlashesSubscriber'],
  'request_close_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\RequestCloseSubscriber', 'arguments' => ['@module_handler']],
  'config_import_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\ConfigImportSubscriber', 'arguments' => ['@theme_handler', '@extension.list.module']],
  'config_snapshot_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\ConfigSnapshotSubscriber', 'arguments' => ['@config.manager', '@config.storage', '@config.storage.snapshot']],
  'config_exclude_modules_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\ExcludedModulesEventSubscriber', 'arguments' => ['@config.storage', '@settings', '@config.manager']],
  'exception.needs_installer' => ['class' => '\Drupal\Core\EventSubscriber\ExceptionDetectNeedsInstallSubscriber', 'arguments' => ['@database']],
  'exception.default_json' => ['class' => '\Drupal\Core\EventSubscriber\ExceptionJsonSubscriber'],
  'exception.default_html' => ['class' => '\Drupal\Core\EventSubscriber\DefaultExceptionHtmlSubscriber', 'arguments' => ['@http_kernel', '@logger.channel.php', '@redirect.destination', '@router.no_access_checks']],
  'exception.final' => ['class' => '\Drupal\Core\EventSubscriber\FinalExceptionSubscriber', 'arguments' => ['@config.factory']],
  'exception.logger' => ['class' => '\Drupal\Core\EventSubscriber\ExceptionLoggingSubscriber', 'arguments' => ['@logger.factory']],
  'exception.custom_page_html' => ['class' => '\Drupal\Core\EventSubscriber\CustomPageExceptionHtmlSubscriber', 'arguments' => ['@config.factory', '@http_kernel', '@logger.channel.php', '@redirect.destination', '@router.no_access_checks', '@access_manager']],
  'exception.fast_404_html' => ['class' => '\Drupal\Core\EventSubscriber\Fast404ExceptionHtmlSubscriber', 'arguments' => ['@config.factory', '@cache_tags.invalidator']],
  'exception.enforced_form_response' => ['class' => '\Drupal\Core\EventSubscriber\EnforcedFormResponseSubscriber'],
  'route_processor_manager' => ['class' => '\Drupal\Core\RouteProcessor\RouteProcessorManager'],
  'path_processor_manager' => ['class' => '\Drupal\Core\PathProcessor\PathProcessorManager'],
  'path_processor_decode' => ['class' => '\Drupal\Core\PathProcessor\PathProcessorDecode'],
  'path_processor_front' => ['class' => '\Drupal\Core\PathProcessor\PathProcessorFront', 'arguments' => ['@config.factory']],
  'route_processor_current' => ['class' => '\Drupal\Core\RouteProcessor\RouteProcessorCurrent', 'arguments' => ['@current_route_match']],
  'route_processor_csrf' => ['class' => '\Drupal\Core\Access\RouteProcessorCsrf', 'arguments' => ['@csrf_token']],
  'transliteration' => ['class' => '\Drupal\Core\Transliteration\PhpTransliteration', 'arguments' => ['', '@module_handler']],
  'flood' => ['class' => '\Drupal\Core\Flood\DatabaseBackend', 'arguments' => ['@database', '@request_stack']],
  'plugin.manager.mail' => ['class' => '\Drupal\Core\Mail\MailManager', 'arguments' => ['@container.namespaces', '@cache.discovery', '@module_handler', '@config.factory', '@logger.factory', '@string_translation', '@renderer']],
  'plugin.manager.condition' => ['class' => '\Drupal\Core\Condition\ConditionManager'],
  'plugin.manager.element_info' => ['class' => '\Drupal\Core\Render\ElementInfoManager', 'arguments' => ['@container.namespaces', '@cache.discovery', '@cache_tags.invalidator', '@module_handler', '@theme.manager']],
  'stream_wrapper_manager' => ['class' => '\Drupal\Core\StreamWrapper\StreamWrapperManager'],
  'stream_wrapper.public' => ['class' => '\Drupal\Core\StreamWrapper\PublicStream'],
  'stream_wrapper.temporary' => ['class' => '\Drupal\Core\StreamWrapper\TemporaryStream'],
  'kernel_destruct_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\KernelDestructionSubscriber'],
  'image.toolkit.manager' => ['class' => '\Drupal\Core\ImageToolkit\ImageToolkitManager', 'arguments' => ['@config.factory']],
  'image.toolkit.operation.manager' => ['class' => '\Drupal\Core\ImageToolkit\ImageToolkitOperationManager', 'arguments' => ['@logger.channel.image', '@image.toolkit.manager']],
  'image.factory' => ['class' => '\Drupal\Core\Image\ImageFactory', 'arguments' => ['@image.toolkit.manager']],
  'breadcrumb' => ['class' => '\Drupal\Core\Breadcrumb\BreadcrumbManager', 'arguments' => ['@module_handler']],
  'token' => ['class' => '\Drupal\Core\Utility\Token', 'arguments' => ['@module_handler', '@cache.default', '@language_manager', '@cache_tags.invalidator', '@renderer']],
  'batch.storage' => ['class' => '\Drupal\Core\ProxyClass\Batch\BatchStorage'],
  'country_manager' => ['class' => '\Drupal\Core\Locale\CountryManager', 'arguments' => ['@module_handler']],
  'date.formatter' => ['class' => '\Drupal\Core\Datetime\DateFormatter', 'arguments' => ['@entity_type.manager', '@language_manager', '@string_translation', '@config.factory', '@request_stack']],
  'theme.manager' => ['class' => '\Drupal\Core\Theme\ThemeManager', 'arguments' => ['%app.root%', '@theme.negotiator', '@theme.initialization', '@module_handler']],
  'theme.initialization' => ['class' => '\Drupal\Core\Theme\ThemeInitialization', 'arguments' => ['%app.root%', '@theme_handler', '@cache.bootstrap', '@module_handler']],
  'theme.registry' => ['class' => '\Drupal\Core\Theme\Registry', 'arguments' => ['%app.root%', '@cache.default', '@lock', '@module_handler', '@theme_handler', '@theme.initialization', '@cache.bootstrap', '@extension.list.module']],
  'authentication' => ['class' => '\Drupal\Core\Authentication\AuthenticationManager', 'arguments' => ['@authentication_collector']],
  'authentication_collector' => ['class' => '\Drupal\Core\Authentication\AuthenticationCollector'],
  'authentication_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\AuthenticationSubscriber', 'arguments' => ['@authentication', '@current_user']],
  'account_switcher' => ['class' => '\Drupal\Core\Session\AccountSwitcher', 'arguments' => ['@current_user', '@session_handler.write_safe']],
  'user_permissions_hash_generator' => ['class' => '\Drupal\Core\Session\PermissionsHashGenerator', 'arguments' => ['@private_key', '@cache.bootstrap', '@cache.static']],
  'current_user' => ['class' => '\Drupal\Core\Session\AccountProxy', 'arguments' => ['@event_dispatcher']],
  'session_configuration' => ['class' => '\Drupal\Core\Session\SessionConfiguration', 'arguments' => ['%session.storage.options%']],
  'session' => ['class' => '\Symfony\Component\HttpFoundation\Session\Session'],
  'session_handler.storage' => ['class' => '\Drupal\Core\Session\SessionHandler', 'arguments' => ['@request_stack', '@database']],
  'session_handler.write_safe' => ['class' => '\Drupal\Core\Session\WriteSafeSessionHandler'],
  'session_manager' => ['class' => '\Drupal\Core\Session\SessionManager', 'arguments' => ['@request_stack', '@database', '@session_manager.metadata_bag', '@session_configuration', '@session_handler']],
  'session_manager.metadata_bag' => ['class' => '\Drupal\Core\Session\MetadataBag', 'arguments' => ['@settings']],
  'asset.css.collection_renderer' => ['class' => '\Drupal\Core\Asset\CssCollectionRenderer', 'arguments' => ['@state', '@file_url_generator']],
  'asset.css.collection_optimizer' => ['class' => '\Drupal\Core\Asset\CssCollectionOptimizer', 'arguments' => ['@asset.css.collection_grouper', '@asset.css.optimizer', '@asset.css.dumper', '@state', '@file_system']],
  'asset.css.optimizer' => ['class' => '\Drupal\Core\Asset\CssOptimizer', 'arguments' => ['@file_url_generator']],
  'asset.css.collection_grouper' => ['class' => '\Drupal\Core\Asset\CssCollectionGrouper'],
  'asset.css.dumper' => ['class' => '\Drupal\Core\Asset\AssetDumper', 'arguments' => ['@file_system']],
  'asset.js.collection_renderer' => ['class' => '\Drupal\Core\Asset\JsCollectionRenderer', 'arguments' => ['@state', '@file_url_generator']],
  'asset.js.collection_optimizer' => ['class' => '\Drupal\Core\Asset\JsCollectionOptimizer', 'arguments' => ['@asset.js.collection_grouper', '@asset.js.optimizer', '@asset.js.dumper', '@state', '@file_system']],
  'asset.js.optimizer' => ['class' => '\Drupal\Core\Asset\JsOptimizer'],
  'asset.js.collection_grouper' => ['class' => '\Drupal\Core\Asset\JsCollectionGrouper'],
  'asset.js.dumper' => ['class' => '\Drupal\Core\Asset\AssetDumper', 'arguments' => ['@file_system']],
  'library.discovery' => ['class' => '\Drupal\Core\Asset\LibraryDiscovery', 'arguments' => ['@library.discovery.collector']],
  'library.discovery.collector' => ['class' => '\Drupal\Core\Asset\LibraryDiscoveryCollector', 'arguments' => ['@cache.discovery', '@lock', '@library.discovery.parser', '@theme.manager']],
  'library.discovery.parser' => ['class' => '\Drupal\Core\Asset\LibraryDiscoveryParser', 'arguments' => ['%app.root%', '@module_handler', '@theme.manager', '@stream_wrapper_manager', '@library.libraries_directory_file_finder', '@extension.path.resolver']],
  'library.libraries_directory_file_finder' => ['class' => '\Drupal\Core\Asset\LibrariesDirectoryFileFinder', 'arguments' => ['%app.root%', '%site.path%', '@extension.list.profile', '%install_profile%']],
  'library.dependency_resolver' => ['class' => '\Drupal\Core\Asset\LibraryDependencyResolver', 'arguments' => ['@library.discovery']],
  'asset.resolver' => ['class' => '\Drupal\Core\Asset\AssetResolver', 'arguments' => ['@library.discovery', '@library.dependency_resolver', '@module_handler', '@theme.manager', '@language_manager', '@cache.data']],
  'info_parser' => ['class' => '\Drupal\Core\Extension\InfoParser', 'arguments' => ['%app.root%']],
  'twig' => ['class' => '\Drupal\Core\Template\TwigEnvironment', 'arguments' => ['%app.root%', '@cache.default', '%twig_extension_hash%', '@state', '@twig.loader', '%twig.config%']],
  'twig.extension' => ['class' => '\Drupal\Core\Template\TwigExtension', 'arguments' => ['@renderer', '@url_generator', '@theme.manager', '@date.formatter', '@file_url_generator']],
  'twig.extension.debug' => ['class' => '\Twig\Extension\DebugExtension'],
  'twig.extension.varDumper' => ['class' => '\Drupal\Core\Template\DebugExtension'],
  'twig.loader.filesystem' => ['class' => '\Drupal\Core\Template\Loader\FilesystemLoader', 'arguments' => ['.', '@module_handler', '@theme_handler', '%twig.config%']],
  'twig.loader.theme_registry' => ['class' => '\Drupal\Core\Template\Loader\ThemeRegistryLoader', 'arguments' => ['@theme.registry']],
  'twig.loader.string' => ['class' => '\Drupal\Core\Template\Loader\StringLoader'],
  'file.htaccess_writer' => ['class' => '\Drupal\Core\File\HtaccessWriter', 'arguments' => ['@logger.channel.security', '@stream_wrapper_manager']],
  'file.mime_type.guesser' => ['class' => '\Drupal\Core\ProxyClass\File\MimeType\MimeTypeGuesser'],
  'file.mime_type.guesser.extension' => ['class' => '\Drupal\Core\ProxyClass\File\MimeType\ExtensionMimeTypeGuesser'],
  'render_placeholder_generator' => ['class' => '\Drupal\Core\Render\PlaceholderGenerator', 'arguments' => ['%renderer.config%']],
  'render_cache' => ['class' => '\Drupal\Core\Render\PlaceholderingRenderCache', 'arguments' => ['@request_stack', '@cache_factory', '@cache_contexts_manager', '@render_placeholder_generator']],
  'renderer' => ['class' => '\Drupal\Core\Render\Renderer', 'arguments' => ['@controller_resolver', '@theme.manager', '@plugin.manager.element_info', '@render_placeholder_generator', '@render_cache', '@request_stack', '%renderer.config%']],
  'early_rendering_controller_wrapper_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\EarlyRenderingControllerWrapperSubscriber', 'arguments' => ['@http_kernel.controller.argument_resolver', '@renderer']],
  'html_response.placeholder_strategy_subscriber' => ['class' => '\Drupal\Core\EventSubscriber\HtmlResponsePlaceholderStrategySubscriber', 'arguments' => ['@placeholder_strategy']],
  'placeholder_strategy' => ['class' => '\Drupal\Core\Render\Placeholder\ChainedPlaceholderStrategy'],
  'placeholder_strategy.single_flush' => ['class' => '\Drupal\Core\Render\Placeholder\SingleFlushStrategy'],
  'email.validator' => ['class' => '\Drupal\Component\Utility\EmailValidator'],
  'update.update_hook_registry' => ['class' => '\Drupal\Core\Update\UpdateHookRegistry'],
  'update.update_hook_registry_factory' => ['class' => '\Drupal\Core\Update\UpdateHookRegistryFactory'],
  'update.post_update_registry' => ['class' => '\Drupal\Core\Update\UpdateRegistry'],
  'update.post_update_registry_factory' => ['class' => '\Drupal\Core\Update\UpdateRegistryFactory'],
  'uuid' => ['class' => '\Drupal\Component\Uuid\Php'],
  'response_filter.active_link' => ['class' => '\Drupal\Core\EventSubscriber\ActiveLinkResponseFilter', 'arguments' => ['@current_user', '@path.current', '@path.matcher', '@language_manager']],
  'response_filter.rss.relative_url' => ['class' => '\Drupal\Core\EventSubscriber\RssResponseRelativeUrlFilter'],
  'messenger' => ['class' => '\Drupal\Core\Messenger\Messenger', 'arguments' => ['@session.flash_bag', '@page_cache_kill_switch']],
  'tempstore.private' => ['class' => '\Drupal\Core\TempStore\PrivateTempStoreFactory', 'arguments' => ['@keyvalue.expirable', '@lock', '@current_user', '@request_stack', '%tempstore.expire%']],
  'tempstore.shared' => ['class' => '\Drupal\Core\TempStore\SharedTempStoreFactory', 'arguments' => ['@keyvalue.expirable', '@lock', '@request_stack', '@current_user', '%tempstore.expire%']],
  'pager.manager' => ['class' => '\Drupal\Core\Pager\PagerManager', 'arguments' => ['@pager.parameters']],
  'pager.parameters' => ['class' => '\Drupal\Core\Pager\PagerParameters', 'arguments' => ['@request_stack']],
  'automated_cron.subscriber' => ['class' => '\Drupal\automated_cron\EventSubscriber\AutomatedCron', 'arguments' => ['@cron', '@config.factory', '@state']],
  'html_response.big_pipe_subscriber' => ['class' => '\Drupal\big_pipe\EventSubscriber\HtmlResponseBigPipeSubscriber', 'arguments' => ['@big_pipe']],
  'placeholder_strategy.big_pipe' => ['class' => '\Drupal\big_pipe\Render\Placeholder\BigPipeStrategy', 'arguments' => ['@session_configuration', '@request_stack', '@current_route_match']],
  'big_pipe' => ['class' => '\Drupal\big_pipe\Render\BigPipe', 'arguments' => ['@renderer', '@session', '@request_stack', '@http_kernel', '@event_dispatcher', '@config.factory']],
  'route_subscriber.no_big_pipe' => ['class' => '\Drupal\big_pipe\EventSubscriber\NoBigPipeRouteAlterSubscriber'],
  'theme.negotiator.block.admin_demo' => ['class' => '\Drupal\block\Theme\AdminDemoNegotiator'],
  'block.page_display_variant_subscriber' => ['class' => '\Drupal\block\EventSubscriber\BlockPageDisplayVariantSubscriber'],
  'block.repository' => ['class' => '\Drupal\block\BlockRepository', 'arguments' => ['@entity_type.manager', '@theme.manager', '@context.handler']],
  'block_content.uuid_lookup' => ['class' => '\Drupal\block_content\BlockContentUuidLookup'],
  'breakpoint.manager' => ['class' => '\Drupal\breakpoint\BreakpointManager', 'arguments' => ['@module_handler', '@theme_handler', '@cache.discovery', '@string_translation']],
  'plugin.manager.ckeditor5.plugin' => ['class' => '\Drupal\ckeditor5\Plugin\CKEditor5PluginManager'],
  'ckeditor5.smart_default_settings' => ['class' => '\Drupal\ckeditor5\SmartDefaultSettings', 'arguments' => ['@plugin.manager.ckeditor5.plugin', '@plugin.manager.ckeditor4to5upgrade.plugin', '@logger.channel.ckeditor5', '@module_handler', '@current_user']],
  'ckeditor5.stylesheets.message' => ['class' => '\Drupal\ckeditor5\CKEditor5StylesheetsMessage', 'arguments' => ['@theme_handler', '@config.factory']],
  'ckeditor5.ckeditor5_cache_tag' => ['class' => '\Drupal\ckeditor5\EventSubscriber\CKEditor5CacheTag', 'arguments' => ['@cache_tags.invalidator']],
  'logger.channel.ckeditor5' => ['class' => '\Drupal\Core\Logger\LoggerChannel'],
  'comment.breadcrumb' => ['class' => '\Drupal\comment\CommentBreadcrumbBuilder', 'arguments' => ['@entity_type.manager']],
  'comment.manager' => ['class' => '\Drupal\comment\CommentManager', 'arguments' => ['@entity_type.manager', '@config.factory', '@string_translation', '@module_handler', '@current_user', '@entity_field.manager', '@entity_display.repository']],
  'comment.statistics' => ['class' => '\Drupal\comment\CommentStatistics', 'arguments' => ['@database', '@current_user', '@entity_type.manager', '@state', '@database.replica']],
  'comment.lazy_builders' => ['class' => '\Drupal\comment\CommentLazyBuilders', 'arguments' => ['@entity_type.manager', '@entity.form_builder', '@current_user', '@comment.manager', '@module_handler', '@renderer']],
  'comment.link_builder' => ['class' => '\Drupal\comment\CommentLinkBuilder', 'arguments' => ['@current_user', '@comment.manager', '@module_handler', '@string_translation', '@entity_type.manager']],
  'config.config_subscriber' => ['class' => '\Drupal\config\ConfigSubscriber'],
  'access_check.contact_personal' => ['class' => '\Drupal\contact\Access\ContactPageAccess', 'arguments' => ['@config.factory', '@user.data']],
  'contact.mail_handler' => ['class' => '\Drupal\contact\MailHandler', 'arguments' => ['@plugin.manager.mail', '@language_manager', '@logger.channel.contact', '@string_translation', '@entity_type.manager']],
  'logger.channel.contact' => ['class' => '\Drupal\Core\Logger\LoggerChannel'],
  'logger.dblog' => ['class' => '\Drupal\dblog\Logger\DbLog', 'arguments' => ['@database', '@logger.log_message_parser']],
  'cache.dynamic_page_cache' => ['class' => '\Drupal\Core\Cache\DatabaseBackend'],
  'dynamic_page_cache_subscriber' => ['class' => '\Drupal\dynamic_page_cache\EventSubscriber\DynamicPageCacheSubscriber', 'arguments' => ['@dynamic_page_cache_request_policy', '@dynamic_page_cache_response_policy', '@render_cache', '%renderer.config%']],
  'dynamic_page_cache_request_policy' => ['class' => '\Drupal\dynamic_page_cache\PageCache\RequestPolicy\DefaultRequestPolicy'],
  'dynamic_page_cache_response_policy' => ['class' => '\Drupal\Core\ProxyClass\PageCache\ChainResponsePolicy'],
  'plugin.manager.editor' => ['class' => '\Drupal\editor\Plugin\EditorManager'],
  'element.editor' => ['class' => '\Drupal\editor\Element', 'arguments' => ['@plugin.manager.editor']],
  'editor.config_translation_mapper_subscriber' => ['class' => '\Drupal\editor\EventSubscriber\EditorConfigTranslationSubscriber', 'arguments' => ['@config.factory']],
  'field.uninstall_validator' => ['class' => '\Drupal\field\ProxyClass\FieldUninstallValidator'],
  'field_ui.subscriber' => ['class' => '\Drupal\field_ui\Routing\RouteSubscriber', 'arguments' => ['@entity_type.manager']],
  'access_check.field_ui.view_mode' => ['class' => '\Drupal\field_ui\Access\ViewModeAccessCheck', 'arguments' => ['@entity_type.manager']],
  'access_check.field_ui.form_mode' => ['class' => '\Drupal\field_ui\Access\FormModeAccessCheck', 'arguments' => ['@entity_type.manager']],
  'file.usage' => ['class' => '\Drupal\file\FileUsage\DatabaseFileUsageBackend', 'arguments' => ['@config.factory', '@database', 'file_usage']],
  'file.upload_handler' => ['class' => '\Drupal\file\Upload\FileUploadHandler', 'arguments' => ['@file_system', '@entity_type.manager', '@stream_wrapper_manager', '@event_dispatcher', '@file.mime_type.guesser', '@current_user', '@request_stack']],
  'file.repository' => ['class' => '\Drupal\file\FileRepository', 'arguments' => ['@file_system', '@stream_wrapper_manager', '@entity_type.manager', '@module_handler', '@file.usage', '@current_user']],
  'plugin.manager.filter' => ['class' => '\Drupal\filter\FilterPluginManager'],
  'filter.uninstall_validator' => ['class' => '\Drupal\filter\ProxyClass\FilterUninstallValidator'],
  'plugin.manager.help_section' => ['class' => '\Drupal\help\HelpSectionManager'],
  'path_processor.image_styles' => ['class' => '\Drupal\image\PathProcessor\PathProcessorImageStyles', 'arguments' => ['@stream_wrapper_manager']],
  'plugin.manager.image.effect' => ['class' => '\Drupal\image\ImageEffectManager'],
  'node.route_subscriber' => ['class' => '\Drupal\node\Routing\RouteSubscriber'],
  'node.grant_storage' => ['class' => '\Drupal\node\NodeGrantDatabaseStorage', 'arguments' => ['@database', '@module_handler', '@language_manager']],
  'access_check.node.preview' => ['class' => '\Drupal\node\Access\NodePreviewAccessCheck', 'arguments' => ['@entity_type.manager']],
  'node.admin_path.route_subscriber' => ['class' => '\Drupal\node\EventSubscriber\NodeAdminRouteSubscriber', 'arguments' => ['@config.factory', '@router.builder']],
  'node_preview' => ['class' => '\Drupal\node\ProxyClass\ParamConverter\NodePreviewConverter'],
  'cache_context.user.node_grants' => ['class' => '\Drupal\node\Cache\NodeAccessGrantsCacheContext', 'arguments' => ['@current_user']],
  'node.node_route_context' => ['class' => '\Drupal\node\ContextProvider\NodeRouteContext', 'arguments' => ['@current_route_match']],
  'http_middleware.page_cache' => ['class' => '\Drupal\page_cache\StackMiddleware\PageCache', 'arguments' => ['@cache.page', '@page_cache_request_policy', '@page_cache_response_policy']],
  'cache.page' => ['class' => '\Drupal\Core\Cache\DatabaseBackend'],
  'path_alias.subscriber' => ['class' => '\Drupal\path_alias\EventSubscriber\PathAliasSubscriber', 'arguments' => ['@path_alias.manager', '@path.current']],
  'path_alias.path_processor' => ['class' => '\Drupal\path_alias\PathProcessor\AliasPathProcessor', 'arguments' => ['@path_alias.manager']],
  'path_alias.manager' => ['class' => '\Drupal\path_alias\AliasManager', 'arguments' => ['@path_alias.repository', '@path_alias.whitelist', '@language_manager', '@cache.data']],
  'path_alias.repository' => ['class' => '\Drupal\path_alias\AliasRepository', 'arguments' => ['@database']],
  'path_alias.whitelist' => ['class' => '\Drupal\path_alias\AliasWhitelist', 'arguments' => ['path_alias_whitelist', '@cache.bootstrap', '@lock', '@state', '@path_alias.repository']],
  'plugin.manager.search' => ['class' => '\Drupal\search\SearchPluginManager'],
  'search.search_page_repository' => ['class' => '\Drupal\search\SearchPageRepository', 'arguments' => ['@config.factory', '@entity_type.manager']],
  'search.index' => ['class' => '\Drupal\search\SearchIndex', 'arguments' => ['@config.factory', '@database', '@database.replica', '@cache_tags.invalidator', '@search.text_processor']],
  'search.text_processor' => ['class' => '\Drupal\search\SearchTextProcessor', 'arguments' => ['@transliteration', '@config.factory', '@module_handler']],
  'shortcut.lazy_builders' => ['class' => '\Drupal\shortcut\ShortcutLazyBuilders', 'arguments' => ['@renderer']],
  'access_check.cron' => ['class' => '\Drupal\system\Access\CronAccessCheck'],
  'access_check.db_update' => ['class' => '\Drupal\system\Access\DbUpdateAccessCheck'],
  'system.manager' => ['class' => '\Drupal\system\SystemManager', 'arguments' => ['@module_handler', '@request_stack', '@menu.link_tree', '@menu.active_trail']],
  'system.breadcrumb.default' => ['class' => '\Drupal\system\PathBasedBreadcrumbBuilder', 'arguments' => ['@router.request_context', '@access_manager', '@router', '@path_processor_manager', '@config.factory', '@title_resolver', '@current_user', '@path.current', '@path.matcher']],
  'path_processor.files' => ['class' => '\Drupal\system\PathProcessor\PathProcessorFiles'],
  'system.admin_path.route_subscriber' => ['class' => '\Drupal\system\EventSubscriber\AdminRouteSubscriber'],
  'theme.negotiator.system.batch' => ['class' => '\Drupal\system\Theme\BatchNegotiator', 'arguments' => ['@batch.storage', '@request_stack']],
  'theme.negotiator.system.db_update' => ['class' => '\Drupal\system\Theme\DbUpdateNegotiator', 'arguments' => ['@config.factory', '@theme_handler']],
  'system.config_subscriber' => ['class' => '\Drupal\system\SystemConfigSubscriber', 'arguments' => ['@router.builder']],
  'system.config_cache_tag' => ['class' => '\Drupal\system\EventSubscriber\ConfigCacheTag', 'arguments' => ['@theme_handler', '@cache_tags.invalidator']],
  'system.timezone_resolver' => ['class' => '\Drupal\system\TimeZoneResolver', 'arguments' => ['@current_user', '@config.factory']],
  'system.file_event.subscriber' => ['class' => '\Drupal\system\EventSubscriber\SecurityFileUploadEventSubscriber', 'arguments' => ['@config.factory']],
  'logger.channel.system' => ['class' => '\Drupal\Core\Logger\LoggerChannel'],
  'system.sa_fetcher' => ['class' => '\Drupal\system\SecurityAdvisories\SecurityAdvisoriesFetcher', 'arguments' => ['@config.factory', '@keyvalue.expirable', '@http_client', '@extension.list.module', '@extension.list.theme', '@extension.list.profile', '@logger.channel.system', '@settings']],
  'system.advisories_config_subscriber' => ['class' => '\Drupal\system\EventSubscriber\AdvisoriesConfigSubscriber', 'arguments' => ['@system.sa_fetcher']],
  'taxonomy_term.breadcrumb' => ['class' => '\Drupal\taxonomy\TermBreadcrumbBuilder', 'arguments' => ['@entity_type.manager', '@entity.repository']],
  'taxonomy_term.taxonomy_term_route_context' => ['class' => '\Drupal\taxonomy\ContextProvider\TermRouteContext', 'arguments' => ['@current_route_match']],
  'cache.toolbar' => ['class' => '\Drupal\Core\Cache\DatabaseBackend'],
  'toolbar.page_cache_request_policy.allow_toolbar_path' => ['class' => '\Drupal\toolbar\PageCache\AllowToolbarPath'],
  'toolbar.menu_tree' => ['class' => '\Drupal\toolbar\Menu\ToolbarMenuLinkTree', 'arguments' => ['@menu.tree_storage', '@plugin.manager.menu.link', '@router.route_provider', '@menu.active_trail', '@controller_resolver']],
  'plugin.manager.tour.tip' => ['class' => '\Drupal\tour\TipPluginManager'],
  'access_check.update.manager_access' => ['class' => '\Drupal\update\Access\UpdateManagerAccessCheck', 'arguments' => ['@settings']],
  'update.manager' => ['class' => '\Drupal\update\UpdateManager', 'arguments' => ['@config.factory', '@module_handler', '@update.processor', '@string_translation', '@keyvalue.expirable', '@theme_handler', '@extension.list.module']],
  'update.processor' => ['class' => '\Drupal\update\UpdateProcessor', 'arguments' => ['@config.factory', '@queue', '@update.fetcher', '@state', '@private_key', '@keyvalue', '@keyvalue.expirable']],
  'update.fetcher' => ['class' => '\Drupal\update\UpdateFetcher', 'arguments' => ['@config.factory', '@http_client', '@settings']],
  'update.root' => ['class' => '\Drupal\update\UpdateRoot', 'arguments' => ['@kernel', '@request_stack']],
  'access_check.permission' => ['class' => '\Drupal\user\Access\PermissionAccessCheck'],
  'access_check.user.register' => ['class' => '\Drupal\user\Access\RegisterAccessCheck'],
  'access_check.user.role' => ['class' => '\Drupal\user\Access\RoleAccessCheck'],
  'access_check.user.login_status' => ['class' => '\Drupal\user\Access\LoginStatusCheck'],
  'user.authentication.cookie' => ['class' => '\Drupal\user\Authentication\Provider\Cookie', 'arguments' => ['@session_configuration', '@database', '@messenger']],
  'user.data' => ['class' => '\Drupal\user\UserData', 'arguments' => ['@database']],
  'user_maintenance_mode_subscriber' => ['class' => '\Drupal\user\EventSubscriber\MaintenanceModeSubscriber', 'arguments' => ['@maintenance_mode', '@current_user']],
  'user_access_denied_subscriber' => ['class' => '\Drupal\user\EventSubscriber\AccessDeniedSubscriber', 'arguments' => ['@current_user']],
  'user_last_access_subscriber' => ['class' => '\Drupal\user\EventSubscriber\UserRequestSubscriber', 'arguments' => ['@current_user', '@entity_type.manager']],
  'theme.negotiator.admin_theme' => ['class' => '\Drupal\user\Theme\AdminNegotiator', 'arguments' => ['@current_user', '@config.factory', '@entity_type.manager', '@router.admin_context']],
  'user.auth' => ['class' => '\Drupal\user\UserAuth', 'arguments' => ['@entity_type.manager', '@password']],
  'user.permissions' => ['class' => '\Drupal\user\PermissionHandler', 'arguments' => ['@module_handler', '@string_translation', '@controller_resolver']],
  'user.current_user_context' => ['class' => '\Drupal\user\ContextProvider\CurrentUserContext', 'arguments' => ['@current_user', '@entity_type.manager']],
  'user.toolbar_link_builder' => ['class' => '\Drupal\user\ToolbarLinkBuilder', 'arguments' => ['@current_user']],
  'user.flood_control' => ['class' => '\Drupal\user\UserFloodControl', 'arguments' => ['@flood', '@event_dispatcher', '@request_stack']],
  'user.flood_subscriber' => ['class' => '\Drupal\user\EventSubscriber\UserFloodSubscriber', 'arguments' => ['@logger.channel.user']],
  'logger.channel.user' => ['class' => '\Drupal\Core\Logger\LoggerChannel'],
  'paramconverter.views_ui' => ['class' => '\Drupal\views_ui\ProxyClass\ParamConverter\ViewUIConverter'],
  'plugin.manager.views.access' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.area' => ['class' => '\Drupal\views\Plugin\ViewsHandlerManager', 'arguments' => ['area', '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.argument' => ['class' => '\Drupal\views\Plugin\ViewsHandlerManager', 'arguments' => ['area', '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.argument_default' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.argument_validator' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.cache' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.display_extender' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.display' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.exposed_form' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.field' => ['class' => '\Drupal\views\Plugin\ViewsHandlerManager', 'arguments' => ['area', '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.filter' => ['class' => '\Drupal\views\Plugin\ViewsHandlerManager', 'arguments' => ['area', '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.join' => ['class' => '\Drupal\views\Plugin\ViewsHandlerManager', 'arguments' => ['area', '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.pager' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.query' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.relationship' => ['class' => '\Drupal\views\Plugin\ViewsHandlerManager', 'arguments' => ['area', '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.row' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.sort' => ['class' => '\Drupal\views\Plugin\ViewsHandlerManager', 'arguments' => ['area', '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.style' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'plugin.manager.views.wizard' => ['class' => '\Drupal\views\Plugin\ViewsPluginManager', 'arguments' => ['access', '@container.namespaces', '@cache.discovery', '@module_handler']],
  'views.views_data' => ['class' => '\Drupal\views\ViewsData', 'arguments' => ['@cache.default', '@config.factory', '@module_handler', '@language_manager']],
  'views.views_data_helper' => ['class' => '\Drupal\views\ViewsDataHelper', 'arguments' => ['@views.views_data']],
  'views.executable' => ['class' => '\Drupal\views\ViewExecutableFactory', 'arguments' => ['@current_user', '@request_stack', '@views.views_data', '@router.route_provider']],
  'views.analyzer' => ['class' => '\Drupal\views\Analyzer', 'arguments' => ['@module_handler']],
  'views.route_subscriber' => ['class' => '\Drupal\views\EventSubscriber\RouteSubscriber', 'arguments' => ['@entity_type.manager', '@state']],
  'views.exposed_form_cache' => ['class' => '\Drupal\views\ExposedFormCache'],
  'views.entity_schema_subscriber' => ['class' => '\Drupal\views\EventSubscriber\ViewsEntitySchemaSubscriber', 'arguments' => ['@entity_type.manager', '@logger.channel.default']],
  'drupal.proxy_original_service.page_cache_response_policy' => ['class' => '\Drupal\Core\PageCache\ChainResponsePolicy'],
  'drupal.proxy_original_service.config.installer' => ['class' => '\Drupal\Core\Config\ConfigInstaller', 'arguments' => ['@config.factory', '@config.storage', '@config.typed', '@config.manager', '@event_dispatcher', '%install_profile%', '@extension.path.resolver']],
  'drupal.proxy_original_service.cron' => ['class' => '\Drupal\Core\Cron', 'arguments' => ['@module_handler', '@lock', '@queue', '@state', '@account_switcher', '@logger.channel.cron', '@plugin.manager.queue_worker', '@datetime.time']],
  'drupal.proxy_original_service.module_installer' => ['class' => '\Drupal\Core\Extension\ModuleInstaller', 'arguments' => ['%app.root%', '@module_handler', '@kernel', '@database', '@update.update_hook_registry']],
  'drupal.proxy_original_service.content_uninstall_validator' => ['class' => '\Drupal\Core\Entity\ContentUninstallValidator', 'arguments' => ['@entity_type.manager', '@string_translation']],
  'drupal.proxy_original_service.required_module_uninstall_validator' => ['class' => '\Drupal\Core\Extension\RequiredModuleUninstallValidator', 'arguments' => ['@string_translation', '@extension.list.module']],
  'drupal.proxy_original_service.module_required_by_themes_uninstall_validator' => ['class' => '\Drupal\Core\Extension\ModuleRequiredByThemesUninstallValidator', 'arguments' => ['@string_translation', '@extension.list.module', '@extension.list.theme']],
  'drupal.proxy_original_service.database_driver_uninstall_validator' => ['class' => '\Drupal\Core\Extension\DatabaseDriverUninstallValidator', 'arguments' => ['@string_translation', '@extension.list.module', '@database']],
  'drupal.proxy_original_service.plugin.cache_clearer' => ['class' => '\Drupal\Core\Plugin\CachedDiscoveryClearer'],
  'drupal.proxy_original_service.paramconverter.menu_link' => ['class' => '\Drupal\Core\ParamConverter\MenuLinkPluginConverter', 'arguments' => ['@plugin.manager.menu.link']],
  'drupal.proxy_original_service.lock' => ['class' => '\Drupal\Core\Lock\DatabaseLockBackend', 'arguments' => ['@database']],
  'drupal.proxy_original_service.lock.persistent' => ['class' => '\Drupal\Core\Lock\PersistentDatabaseLockBackend', 'arguments' => ['@database']],
  'drupal.proxy_original_service.router.dumper' => ['class' => '\Drupal\Core\Routing\MatcherDumper', 'arguments' => ['@database', '@state']],
  'drupal.proxy_original_service.router.builder' => ['class' => '\Drupal\Core\Routing\RouteBuilder', 'arguments' => ['@router.dumper', '@lock', '@event_dispatcher', '@module_handler', '@controller_resolver', '@access_manager.check_provider']],
  'drupal.proxy_original_service.paramconverter.configentity_admin' => ['class' => '\Drupal\Core\ParamConverter\AdminPathConfigEntityConverter', 'arguments' => ['@entity_type.manager', '@config.factory', '@router.admin_context', '@entity.repository']],
  'drupal.proxy_original_service.bare_html_page_renderer' => ['class' => '\Drupal\Core\Render\BareHtmlPageRenderer', 'arguments' => ['@renderer', '@html_response.attachments_processor']],
  'drupal.proxy_original_service.batch.storage' => ['class' => '\Drupal\Core\Batch\BatchStorage', 'arguments' => ['@database', '@session', '@csrf_token']],
  'drupal.proxy_original_service.file.mime_type.guesser' => ['class' => '\Drupal\Core\File\MimeType\MimeTypeGuesser', 'arguments' => ['@stream_wrapper_manager']],
  'drupal.proxy_original_service.file.mime_type.guesser.extension' => ['class' => '\Drupal\Core\File\MimeType\ExtensionMimeTypeGuesser', 'arguments' => ['@module_handler']],
  'drupal.proxy_original_service.dynamic_page_cache_response_policy' => ['class' => '\Drupal\Core\PageCache\ChainResponsePolicy'],
  'drupal.proxy_original_service.field.uninstall_validator' => ['class' => '\Drupal\field\FieldUninstallValidator', 'arguments' => ['@entity_type.manager', '@string_translation', '@plugin.manager.field.field_type']],
  'drupal.proxy_original_service.filter.uninstall_validator' => ['class' => '\Drupal\filter\FilterUninstallValidator', 'arguments' => ['@plugin.manager.filter', '@entity_type.manager', '@string_translation']],
  'drupal.proxy_original_service.node_preview' => ['class' => '\Drupal\node\ParamConverter\NodePreviewConverter', 'arguments' => ['@tempstore.private']],
  'drupal.proxy_original_service.paramconverter.views_ui' => ['class' => '\Drupal\views_ui\ParamConverter\ViewUIConverter', 'arguments' => ['@entity_type.manager', '@tempstore.shared', '@config.factory', '@router.admin_context', '@entity.repository']],
  'views.date_sql' => ['class' => '\Drupal\views\Plugin\views\query\SqliteDateSql', 'arguments' => ['@database']],
  'html_response.attachments_processor' => ['class' => '\Drupal\big_pipe\Render\BigPipeResponseAttachmentsProcessor'],
];

const TEST_HELPERS_DRUPAL_CORE_STORAGE_MAP = [
  'block' => '\Drupal\block\Entity\Block',
  'block_content_type' => '\Drupal\block_content\Entity\BlockContentType',
  'block_content' => '\Drupal\block_content\Entity\BlockContent',
  'comment' => '\Drupal\comment\Entity\Comment',
  'comment_type' => '\Drupal\comment\Entity\CommentType',
  'contact_form' => '\Drupal\contact\Entity\ContactForm',
  'contact_message' => '\Drupal\contact\Entity\Message',
  'editor' => '\Drupal\editor\Entity\Editor',
  'field_storage_config' => '\Drupal\field\Entity\FieldStorageConfig',
  'field_config' => '\Drupal\field\Entity\FieldConfig',
  'file' => '\Drupal\file\Entity\File',
  'filter_format' => '\Drupal\filter\Entity\FilterFormat',
  'image_style' => '\Drupal\image\Entity\ImageStyle',
  'menu_link_content' => '\Drupal\menu_link_content\Entity\MenuLinkContent',
  'node' => '\Drupal\node\Entity\Node',
  'node_type' => '\Drupal\node\Entity\NodeType',
  'path_alias' => '\Drupal\path_alias\Entity\PathAlias',
  'search_page' => '\Drupal\search\Entity\SearchPage',
  'shortcut_set' => '\Drupal\shortcut\Entity\ShortcutSet',
  'shortcut' => '\Drupal\shortcut\Entity\Shortcut',
  'action' => '\Drupal\system\Entity\Action',
  'menu' => '\Drupal\system\Entity\Menu',
  'taxonomy_term' => '\Drupal\taxonomy\Entity\Term',
  'taxonomy_vocabulary' => '\Drupal\taxonomy\Entity\Vocabulary',
  'tour' => '\Drupal\tour\Entity\Tour',
  'user_role' => '\Drupal\user\Entity\Role',
  'user' => '\Drupal\user\Entity\User',
  'view' => '\Drupal\views\Entity\View',
  'date_format' => '\Drupal\Core\Datetime\Entity\DateFormat',
  'entity_form_display' => '\Drupal\Core\Entity\Entity\EntityFormDisplay',
  'entity_view_mode' => '\Drupal\Core\Entity\Entity\EntityViewMode',
  'entity_view_display' => '\Drupal\Core\Entity\Entity\EntityViewDisplay',
  'entity_form_mode' => '\Drupal\Core\Entity\Entity\EntityFormMode',
  'base_field_override' => '\Drupal\Core\Field\Entity\BaseFieldOverride',
];
